Download it now!
Bug 114144 - Doubleclicking on an item of an input list in an ott doesn't open the next input list dialog
Summary: Doubleclicking on an item of an input list in an ott doesn't open the next in...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.beta1
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0.1 target:6.3.0
Keywords: bibisected, bisected
Depends on:
Blocks:
 
Reported: 2017-11-29 15:42 UTC by k-j
Modified: 2018-12-06 14:11 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
ott with two input lists inside (8.67 KB, application/vnd.oasis.opendocument.text-template)
2017-11-29 15:43 UTC, k-j
Details

Note You need to log in before you can comment on or make changes to this bug.
Description k-j 2017-11-29 15:42:08 UTC
Description:
After opening an *.ott with some input lists inside only the first dialog appears. After selecting an item in the first dialog with an doubleclick, the dialog will be closed but no dialog for the next input list appears.


Steps to Reproduce:
1. Opening an *.ott with some input lists
2. dialog for the first input list opens
3. selecting the item with a doubleclick


Actual Results:  
The dialog will be closed but the dialog for the next input list doesn't appear.

Expected Results:
After doubleclicking the item, the dialog will be closed and the next dialog will appear.(as in all former versions)


Reproducible: Always


User Profile Reset: No



Additional Info:
It is a regression


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/58.0.3029.110 Safari/537.36 Edge/16.16299
Comment 1 k-j 2017-11-29 15:43:05 UTC
Created attachment 138073 [details]
ott with two input lists inside
Comment 2 Thomas Krumbein 2017-11-29 16:09:42 UTC
Can confirm this: Windows 10, 64 bit, Lo 6.0.0.0Beta1, 64 Bit - 

doubleclick close the dialog immediately.

Compare with LO 5.4.3 64 bit, same machine and LO 5.3.1, Win 10 64 Bit:

- in both programms a double click enter the value and step to the next list.
Comment 3 QA Administrators 2018-11-30 03:59:15 UTC Comment hidden (obsolete)
Comment 4 k-j 2018-11-30 07:58:13 UTC
Still exists until:
Version: 6.2.0.0.beta1 (x64)
Build-ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU-Threads: 8; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: CL
Comment 5 Xisco Faulí 2018-12-05 11:38:02 UTC
The behaviour was reverted to the old behaviour in https://cgit.freedesktop.org/libreoffice/core/commit/?id=7d5245848c28f5786258476cd7aa2a4523645de3

however, in old versions previous to the changes for i33737 like

Version: 4.1.0.0.alpha1+
Build ID: a2c9d4f8bbde97f175bae4df771273a61251f40

the doubleclick action didn't have any effect.
I guess we should disable the doubleclick on the Choose item dialog in master
Comment 6 Caolán McNamara 2018-12-06 10:51:10 UTC
seems we have two sort of modes to that that dialog, one where we have next/previous buttons, and one where we don't. When we're in that multi-edit mode, I could see that double-clicking would auto progress to the next field.
Comment 7 Commit Notification 2018-12-06 13:22:45 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/b4b213dc088fddbf4c2e34350828354e9262e4fa%5E%21

Resolves: tdf#114144 let double click advance to next if 'next' exists

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-12-06 14:11:06 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/67806532c397d7fc7ea93224a020f1f734c04077%5E%21

Resolves: tdf#114144 let double click advance to next if 'next' exists

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.